Subject: Re: bug#71732: 30.0.50; [FR] xdg: provide an ability to create XDG directory, if it does not exist

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Jun 2024 13:24:36 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 23 Jun 2024 10:20:34 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> May you please add a functionality to xdg.el to create the directory
> >> with right permissions, so that xdg.el users do not need to know these
> >> technical details of the spec?
> >
> > xdg.el is not about creating directories, it is about returning their
> > names.
> >
> > The ability to create a directory with arbitrary permissions already
> > exists, and Emacs uses that in umpteen places.  So I'm not sure what
> > is missing here.  Not every two-liner needs a dedicated named API.
> 
> The missing part is creating a directory that follows XDG spec without
> having to consult that spec.
> 
> For example, I had no clue that applications using XDG are obliged to
> create XDG dirs with 0700 persmissions until someone pointed.

Emacs applications are not obliged to abide by what the XDG spec (or
any spec) says.  Whether a directory we create under some XDG
directory should or should not have those permissions is something the
author of the Lisp program should consider and decide.

> I believe that such technical details would fit within xdg.el API.

I disagree, mainly because the details are not part of XDG, they are
part of the design and the implementation of the particular Lisp
program using the XDG directories.